For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get Webhook Header

Get Webhook Header

get

Retrieves a Webhook Header by ID.

Path parameters
webhook_idinteger · int32Required
header_idinteger · int32Required
Header parameters
X-Violet-TokenstringRequired
X-Violet-App-SecretstringRequired
X-Violet-App-Idinteger · int32Required
Responses
default

default response

application/json

Webhook Header

idinteger · int32Read-onlyOptional
app_idinteger · int32Optional

App ID

webhook_idinteger · int32Optional

ID of the webhook the header belongs to

keystringOptional

Header Key

valuestringOptional

Header Value

date_createdstring · date-timeRead-onlyOptional

Date of creation

date_last_modifiedstring · date-timeRead-onlyOptional

Date of last update

get/events/webhooks/{webhook_id}/headers/{header_id}
GET /v1/events/webhooks/{webhook_id}/headers/{header_id} HTTP/1.1
Host: sandbox-api.violet.io
X-Violet-Token: text
X-Violet-App-Secret: text
X-Violet-App-Id: 1
Accept: */*
default

default response

{
  "id": 1,
  "app_id": 1,
  "webhook_id": 1,
  "key": "text",
  "value": "text",
  "date_created": "2026-01-01T00:00:00.000Z",
  "date_last_modified": "2026-01-01T00:00:00.000Z"
}

Last updated

Was this helpful?